Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Functions
SVM values types
SVM values

This module contains API functions to handle SVM values types. More...

## Functions
SVM_FUNCTION SVM_Type | svm_value_type_get (const void *svm, const SVM_Value value)
| This function extracts the type from a value.
SVM_FUNCTION SVM_String | svm_value_type_print (const void *svm, const SVM_Value value)
| This function prints the type from a value.

## Detailed Description

This module contains API functions to handle SVM values types.

## Function Documentation

## ◆ svm_value_type_get()

SVM_FUNCTION SVM_Type svm_value_type_get | ( | const void * | svm,
|  | const SVM_Value | value
| ) |  |

This function extracts the type from a value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | value | The value from which the type is extracted.

Returns
  The type of the value.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_value_type_print()

SVM_FUNCTION SVM_String svm_value_type_print | ( | const void * | svm,
|  | const SVM_Value | value
| ) |  |

This function prints the type from a value.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | value | The value from which the type is extracted.

Returns
  The string representation of the type of the value.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)